package com.lantone.qc.kernel.catalogue.consultation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.consultation.ConsultationDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationRecordDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : CON0289
 * @Description : 会诊单会诊医师未签字
 * @Author : kwz
 * @Date: 2020-03-06 17:28
 */
@Component
public class CON0289 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<ConsultationDoc> consultationDocs = inputInfo.getConsultationDocs();
        if (consultationDocs != null && consultationDocs.size() > 0) {
            for (ConsultationDoc cd : consultationDocs) {
                ConsultationRecordDoc consultationRecordDoc = cd.getConsultationRecordDoc();
                if (consultationRecordDoc == null) {
                    continue;
                }
                Map<String, String> structureMap = consultationRecordDoc.getStructureMap();
                if (structureMap != null) {
                    if (StringUtils.isEmpty(structureMap.get("签名"))) {
                        status.set("-1");
                    }
                }
            }
        }
    }
}